function initmenu()
	color.newColor()
	p1:setColor(255, 255, 255, 50, 255, 255, 255, 0)
	p2:setColor(255, 255, 255, 50, 255, 255, 255, 0)
	menub = {
		{text = "Start", y = 250, width = 70, hover = false, a = 50},
		{text = "Options", y = 300, width = 100, hover = false, a = 50},
		{text = "Exit", y = 350, width = 50, hover = false, a = 50}
	}
	optb = { --Options buttons
		{text = "Sound: on", y = 250, width = 125, hover = false, a = 50},
		{text = "Particles: on", y = 300, width = 155, hover = false, a = 50},
		{text = "Back", y = 400, width = 55, hover = false, a = 50}
	}
	bfadespeed = 1000 -- Button fade speed
	beep = love.audio.newSource("sound/beep.ogg", "static")
	beep:setVolume(0.5)
	menubg = love.graphics.newImage("img/gui/menubg.png")
	screen = "main" --main, options
end

function updatemenu(dt)
	mx, my = love.mouse.getPosition()
	if gamestate == "menu" then
		if showpart then
			p1:update(dt)
			p2:update(dt)
			local x = math.random(0, 800)
			local y = math.random(0, 500)
			p1:setPosition(x, y)
			local x2 = math.random(0, 800)
			local y2 = math.random(0, 500)
			p2:setPosition(x2, y2)
		end
		if screen == "main" then
			--Buttons hover
			for i=1, #menub do
				if CheckCollision(mx, my, 1, 1, 400 - menub[i].width, menub[i].y, menub[i].width*2, 40) then
					menub[i].hover = true
					if menub[i].a < 255 then
						menub[i].a = menub[i].a + bfadespeed * dt
					else
						menub[i].a = 255
					end
				else
					menub[i].hover = false
					if menub[i].a > 50 then
						menub[i].a = menub[i].a - bfadespeed * dt
					else
						menub[i].a = 50
					end
				end
			end
		elseif screen == "options" then
			for i=1, #optb do
				if CheckCollision(mx, my, 1, 1, 400 - optb[i].width, optb[i].y, optb[i].width*2, 40) then
					optb[i].hover = true
					if optb[i].a < 255 then
						optb[i].a = optb[i].a + bfadespeed * dt
					else
						optb[i].a = 255
					end
				else
					optb[i].hover = false
					if optb[i].a > 50 then
						optb[i].a = optb[i].a - bfadespeed * dt
					else
						optb[i].a = 50
					end
				end
			end
		end
	end
	if onbutton then
		love.audio.play(beep)
	end
end



function drawmenu()
	if gamestate == "menu" then
		love.graphics.setColor(255, 255, 255)
		love.graphics.setFont(font.big)
		--Particles
		if showpart then
			love.graphics.setBlendMode("additive")
			love.graphics.draw(p1)
			love.graphics.draw(p2)
		end
		love.graphics.setBlendMode("alpha")
		love.graphics.draw(menubg)
		if screen == "main" then
		for i=1, #menub do
			love.graphics.setColor(255, 255, 255, menub[i].a)
			love.graphics.printf(menub[i].text, 15, menub[i].y, love.graphics.getWidth(), "center")
		end
		love.graphics.setColor(255, 255, 255)
		love.graphics.draw(bigfade)
		love.graphics.draw(logo, 400 - 147.5, 20)
		elseif screen == "options" then
			for i=1, #optb do
			love.graphics.setColor(255, 255, 255, optb[i].a)
			love.graphics.printf(optb[i].text, 15, optb[i].y, love.graphics.getWidth(), "center")
		end
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.draw(bigfade)
		love.graphics.draw(logo, 400 - 147.5, 20)
		end
	end
end

function CheckCollision(x1, y1, w1, h1, x2, y2, w2, h2)
	if x1 > (x2 + w2) or (x1 + w1) < x2 then return false end
	if y1 > (y2 + h2) or (y1 + h1) < y2 then return false end
	return true
end